From 48026bb824fd2d9cfb00ecd040db6ef3a416bae9 Mon Sep 17 00:00:00 2001
From: Clyne Sullivan <clyne@bitgloo.com>
Date: Fri, 22 Jan 2021 21:43:36 -0500
Subject: upload initial port

---
 .../tools/updater/update_mcuconf_stm32l07xxx.sh    | 29 ++++++++++++++++++++++
 1 file changed, 29 insertions(+)
 create mode 100644 ChibiOS_20.3.2/tools/updater/update_mcuconf_stm32l07xxx.sh

(limited to 'ChibiOS_20.3.2/tools/updater/update_mcuconf_stm32l07xxx.sh')

diff --git a/ChibiOS_20.3.2/tools/updater/update_mcuconf_stm32l07xxx.sh b/ChibiOS_20.3.2/tools/updater/update_mcuconf_stm32l07xxx.sh
new file mode 100644
index 0000000..32a1bd8
--- /dev/null
+++ b/ChibiOS_20.3.2/tools/updater/update_mcuconf_stm32l07xxx.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+if [ $# -eq 2 ]
+  then
+  if [ $1 = "rootpath" ]
+  then
+    find $2 -name "mcuconf.h" -exec bash update_mcuconf_stm32l07xxx.sh "{}" \;
+  else
+    echo "Usage: update_mcuconf_stm32l07xxx.sh [rootpath <root path>]"
+  fi
+elif [ $# -eq 1 ]
+then
+  declare conffile=$(<$1)
+  if egrep -q "STM32L072_MCUCONF" <<< "$conffile"
+  then
+    echo Processing: $1
+    egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[^\s]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
+    if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32l07xxx
+    then
+      echo
+      echo "aborted"
+      exit 1
+    fi
+    cp ./mcuconf.h $1
+    rm ./mcuconf.h ./values.txt
+  fi
+else
+ echo "Usage: update_mcuconf_stm32l07xxx.sh [rootpath <root path>]"
+ echo "       update_mcuconf_stm32l07xxx.sh <configuration file>]"
+fi
-- 
cgit v1.2.3